Recherche de testeurs pour les outils du front

et des avis sur la documentation...

L'auteur de ce sujet a trouvé une solution à son problème.
Auteur du sujet

Bonjour à tous,

Avec l'aide de Sandhose j'ai mis à jour les outils front et la documentation (doc/gulp.md). Je n'ai pu tester que sur Ubuntu pour l'instant, donc je recherche des utilisateurs d'un système d'exploitation autre qu'Ubuntu (tel que Windows, Mac, Arch Linux…).

Pour se faire, positionnez-vous sur ma branche Git :

1
2
3
git remote add situphen https://github.com/situphen/zds-site.git
git fetch situphen
git checkout situphen/fix_1739

J'aimerais ensuite que vous installiez Node.js et les dépendances tel que c'est décrit dans la prochaine documentation de ma PR.

J'aimerais que vous me donniez le résultat des commandes node -v et npm -v.

Si votre version de npm est 1.x.x, j'aimerais que vous lanciez la commande sudo npm install -g npm et que vous me disiez si elle fonctionne.

Enfin, que vous lanciez la commande npm run-script gulp build et que vous testiez le design du site.

Puis, que vous testiez ces commandes :

1
2
npm run-script gulp test
npm run-script gulp clean

Si vous avez des propositions pour la documentation, ce n'est pas de refus !

J'invite tous les développeurs back à tester les outils du front ! En plus d'aider à l'amélioration des outils du front, vous pourrez avoir un design à jour en deux commandes (contrairement au design du pack.zip)…

Merci d'avance,

Situphen :)

RÉSULTAT DES TESTS:

Système d'exploitation Testeur Date Résultat des tests
Ubuntu 14.04 Situphen 13/11/14 Tout est OK
Ubuntu 14.10 Artragis 16/11/14 Tout est OK
Ubuntu 12.04 Eskimon 14/11/14 Mauvaise génération du sprite après le changement d'une couleur. Mise en cause des outils d'installation. Fixé dans une autre PR
Mac Os X 10.9 (Maveriks) Luthaf 15/11/14 Tout est OK
Fedora 19 Vayel 15/11/14 Problème avec npm : après la commande sudo npm install -g npm, le résultat de npm -v et sudo npm -v diffèrent ! Fixé en utilisant la commande sudo /usr/local/bin/npm install -g npm Pour plus de simplicité, un autre moyen d'installation (le même sur Fedora et CentOS) a été trouvé !
Fedora 20 AmarOk 16/11/14 Même problème de Vayel Même résolution que Vayel
Arch Linux Gustavi 16/11/14 Tout est OK

Édité par Situphen

Médicament flemmard aux pul(p)sions imprécises. “Don’t wait for the perfect moment. Take the moment and make it perfect.”

+1 -0
Auteur du sujet

Merci de votre aide ! :)


Si jamais vous avez la même erreur qu'Eskimon tel qu'elle est décrite ici :

L’explication est ici et cette PR devrait régler le problème.

Édité par Situphen

Médicament flemmard aux pul(p)sions imprécises. “Don’t wait for the perfect moment. Take the moment and make it perfect.”

+0 -0
Auteur du sujet

Le résultat du test sous MacOsX 10.9 (Maveriks) : ici.

Et tout semble fonctionner \o/

Merci Luthaf ! :) Est-ce que tu peux compléter ta vérification en :

  • lançant la commande npm run-script gulp test
  • lançant le serveur python et vérifiant que le design n'est pas cassé
  • lançant la commande npm run-script gulp clean

Par rapport à la doc, je n'ai pas eu besoin d'installer lxml, mais j'ai libxml2 d'installée avec Homebrew, donc ça joue peut-être.

Luthaf

Je ne suis pas sur Mac donc je ne peux pas te dire.

Médicament flemmard aux pul(p)sions imprécises. “Don’t wait for the perfect moment. Take the moment and make it perfect.”

+0 -0

Le serveur python, c'est bon (c'était ce dont je parlais en disant que tout va bien). Pour les autres commandes :

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
$ npm run-script gulp test

> zds-site@0.2.0 gulp ~/Sites/zestedesavoir
> gulp test

[20:07:32] Using gulpfile ~/Sites/zestedesavoir/Gulpfile.js
[20:07:32] Starting 'test'...
[20:07:32] Finished 'test' after 675 ms
 $ npm run-script gulp clean

> zds-site@0.2.0 gulp ~/Sites/zestedesavoir
> gulp clean

[20:07:47] Using gulpfile ~/Sites/zestedesavoir/Gulpfile.js
[20:07:47] Starting 'clean'...
[20:07:47] Finished 'clean' after 354 ms

Édité par Luthaf

Mon Github — Tuto Homebrew — Article Julia

+0 -0
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
$ sudo yum install nodejs npm
...
$ node -v 
v0.11.14-pre
$ npm -v
1.4.9
$ sudo npm install -g npm
npm http GET https://registry.npmjs.org/npm
npm http 200 https://registry.npmjs.org/npm
npm http GET https://registry.npmjs.org/npm/-/npm-2.1.8.tgz
npm http 200 https://registry.npmjs.org/npm/-/npm-2.1.8.tgz
/bin/npm -> /lib/node_modules/npm/bin/npm-cli.js
npm WARN unmet dependency /lib/node_modules/block-stream requires inherits@'~2.0.0' but will load
npm WARN unmet dependency undefined,
npm WARN unmet dependency which is version undefined
npm WARN unmet dependency /lib/node_modules/fstream requires inherits@'~2.0.0' but will load
npm WARN unmet dependency undefined,
npm WARN unmet dependency which is version undefined
npm WARN unmet dependency /lib/node_modules/fstream-ignore requires inherits@'2' but will load
npm WARN unmet dependency undefined,
npm WARN unmet dependency which is version undefined
npm WARN unmet dependency /lib/node_modules/fstream-npm requires inherits@'2' but will load
npm WARN unmet dependency undefined,
npm WARN unmet dependency which is version undefined
npm WARN unmet dependency /lib/node_modules/glob requires inherits@'2' but will load
npm WARN unmet dependency undefined,
npm WARN unmet dependency which is version undefined
npm WARN unmet dependency /lib/node_modules/npmconf requires inherits@'~2.0.0' but will load
npm WARN unmet dependency undefined,
npm WARN unmet dependency which is version undefined
npm WARN unmet dependency /lib/node_modules/tar requires inherits@'2' but will load
npm WARN unmet dependency undefined,
npm WARN unmet dependency which is version undefined
npm@2.1.8 /lib/node_modules/npm
$ npm -v
1.4.9
$ sudo npm install -g npm
/bin/npm -> /lib/node_modules/npm/bin/npm-cli.js
npm@2.1.8 /lib/node_modules/npm
$ npm -v
1.4.9
$ sudo npm -v
2.1.8

Il faut exécuter npm install -g npm en root (c'est précisé dans la doc mais pas dans ton message). Par contre, npm -v et sudo npm -v ne renvoient pas la même version…

+0 -0
Auteur du sujet

@Luthaf : Ah ok, j'avais pas compris ! Ce serait cool si tu pouvais vérifier ces trois PRs :

@Vayel : Ah, c'est bizarre ! Je ne suis pas un pro de linux mais ça voudrais dire que il y a deux programmes npm : un pour l'utilisateur et l'autre pour le root ? Peux-tu re-vérifier que tu n'as pas faire d'erreurs ? Je testerai dans une machine virtuelle quand j'aurais le temps.

Médicament flemmard aux pul(p)sions imprécises. “Don’t wait for the perfect moment. Take the moment and make it perfect.”

+0 -0
Auteur du sujet

J'essayerai de trouver une autre solution que le sudo /usr/local/bin/npm install -g npm mais si je trouve pas, je change la doc et la PR est mergée !

Merci à tous !

Médicament flemmard aux pul(p)sions imprécises. “Don’t wait for the perfect moment. Take the moment and make it perfect.”

+1 -0
Vous devez être connecté pour pouvoir poster un message.
Connexion

Pas encore inscrit ?

Créez un compte en une minute pour profiter pleinement de toutes les fonctionnalités de Zeste de Savoir. Ici, tout est gratuit et sans publicité.
Créer un compte